#[==[.md
# token-config.cmake

This file is used by CMake when finding an install version of the token library.

The following variables are provided by this module:

  * `token_PREFIX_PATH`: Install prefix for token.
  * `token_VERSION`: The version of token found.
#]==]

set(${CMAKE_FIND_PACKAGE_NAME}_CMAKE_PREFIX_PATH_save "${CMAKE_PREFIX_PATH}")
include("${CMAKE_CURRENT_LIST_DIR}/token-prefix.cmake")
set("${CMAKE_FIND_PACKAGE_NAME}_PREFIX_PATH" "${_token_import_prefix}")
unset(_token_import_prefix)
list(INSERT CMAKE_PREFIX_PATH 0
  ${${CMAKE_FIND_PACKAGE_NAME}_PREFIX_PATH})

set("${CMAKE_FIND_PACKAGE_NAME}_VERSION" "24.09.0")

unset("${CMAKE_FIND_PACKAGE_NAME}_FOUND")

include("${CMAKE_CURRENT_LIST_DIR}/tokenMacros.cmake")

include("${CMAKE_CURRENT_LIST_DIR}/${CMAKE_FIND_PACKAGE_NAME}Targets.cmake")

include("${CMAKE_CURRENT_LIST_DIR}/token-find-package-helpers.cmake" OPTIONAL)

set(_token_find_quietly)
if (${CMAKE_FIND_PACKAGE_NAME}_FIND_QUIETLY)
  set(_token_find_quietly QUIET)
endif ()

# Required dependencies.

find_package(nlohmann_json ${_token_find_quietly})
if (NOT nlohmann_json_FOUND)
  list(APPEND "${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE"
    "nlohmann_json dependency not found")
  set("${CMAKE_FIND_PACKAGE_NAME}_FOUND" 0)
endif ()

unset(_token_find_quietly)

set(CMAKE_PREFIX_PATH "${${CMAKE_FIND_PACKAGE_NAME}_CMAKE_PREFIX_PATH_save}")
unset("${CMAKE_FIND_PACKAGE_NAME}_CMAKE_PREFIX_PATH_save")

if (NOT DEFINED "${CMAKE_FIND_PACKAGE_NAME}_FOUND")
  set("${CMAKE_FIND_PACKAGE_NAME}_FOUND" 1)
endif ()
